Subject: Bug#4173: xdm stop-script should use --pidfile

From: Michael Gaertner <[email-masked]>
Date: Fri, 16 Aug 1996 13:29:00 +0200 (MET DST)

Package: xbase
Version: 3.1.2-9

If you shutdown -r|h with running xdm-daemon you get:
"start-stop-daemon: warning: failed to kill xxx: No such process"
This is because start-stop-daemon kills xdm and the local
X-displayserver too - which gets killed by xdm. 

To get rid of this annoying message you should include in /etc/init.d/xdm
(sorry no diff):

stop)
	start-stop-daemon --stop --verbose --pidfile /var/lib/xdm/xdm-pid \
			  --exec /usr/bin/X11/xdm                 \
								   \
# Attention: look at FSSTND, Chap. 5.3.5 "The xdm-pid file should___\
# be placed in /var/lib/xdm despite the existence of /var/run." 
# You must change in /etc/X11/xdm-config the resource 
# "DisplayManager.pidFile" to point to /var/lib/xdm-pid.
# If FHS rules this should be: /var/state/xdm/xdm-pid ???

BTW I won't discuss the mandated location per FSSTND or FHS - I don't know
the history. I also don't understand why you (here I don't mean YOU
personally) should use "xdm-pid" as it is clearly stated in both
"standards" you should use "packagename.pid".

Michael Gaertner <[email-masked]>
Tel/Fax +49-761-32684